/* ----------- Overall Website Properties ----------- */
* {
	font-family: Georgia, serif;
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

/* -------------- Main Grid Properties -------------- */
#wrapper {
	display: grid;
	grid-template-areas:
		"header"
		"navigation"
		"body"
		"footer";
	grid-template-rows: auto auto auto auto;
	grid-template-columns: 1fr;
}

header {
	grid-area: header;
	text-align: center;
	background-color: #cccccc;
}

header img {
	margin: 0.5em;
	width: 150px;
	height: 125px;
}

header img:hover, .logo:hover {
	filter: brightness(125%);
}

nav {
	grid-area: navigation;
	background-color: #000000;
}

main {
	grid-area: body;
	min-height: 80vh;
	margin: 2em;
}

h1 {
	padding-bottom: 0.5em;
	font-size: 40px;
	text-align: center;
}

h2 {
	margin: 0.75em 0 0.5em;
	font-size: 20px;
}

p, li {
	margin: 0.25em 0;
	font-size: 16px;
	list-style-type: none;
}

a:hover {
	color: #ff0000;
}

.centerimage {
	padding-bottom: 0.3em;
	text-align: center;
}

#example img {
	margin-top: 0.5em;
	width: 500px;
	height: 400px;
}

footer {
	grid-area: footer;
	display: grid;
	grid-template-areas:
		"official sitemap";
	grid-template-rows: auto;
	grid-template-columns: 1fr 1fr;
	grid-gap: 0.75em;
	padding: 0.75em;
	background-color: #999999;
}

/* ----------- Navigation Flex Properties ----------- */
#navigation {
	display: flex;
	flex-direction: row;
	flex-wrap: nowrap;
	justify-content: space-around;
}

#navigation li {
	margin: 0;
	padding: 0.5em;
	font-size: 20px;
	font-weight: bold;
	text-align: center;
	color: #ffffff;
}

#navigation a {
	color: #ffffff;
}

#navigation a:hover {
	color: #ff0000;
}

#dropdown {
	display: inline-block;
	position: relative;
}

#dropdownlist {
	display: none;
	width: 150%;
	margin: 0 auto;
	position: absolute;
	background-color: #333333;
}

#dropdown:hover ul {
	display: block;
	right: -24%;
	top: 100%;
}

/* ------------- Footer Area Properties ------------- */
#official {
	grid-area: official;
	padding: 0.4em 1em 0.75em;
	background-color: #cccccc;
}

#sitemap {
	grid-area: sitemap;
	padding: 0.4em 1em 0.75em;
	background-color: #cccccc;
}

footer h2 {
	margin: 0.50em 0;
}

.indent {
	margin-left: 1.5em;
}

.doubleindent {
	margin-left: 3em;
}

/* ------------- Input Forms Properties ------------- */
.form section:not(.centerbutton) {
	margin-bottom: 2em;
}

input[type=text], input[type=password], input[type=email], input[type=tel], input[type=url], input[type=number], select {
	width: 100%;
	font-size: 16px;
	padding: 0.5em;
	height: 2.4em;
	border: 2px solid #999999;
	border-radius: 2px;
}

input[type=file] {
	width: 100%;
	font-size: 16px;
	padding: 0.35em;
	height: 2.4em;
	border: 2px solid #999999;
	border-radius: 2px;
}

textarea {
	width: 100%;
	font-size: 16px;
	padding: 0.5em;
	height: 4.5em;
	border: 2px solid #999999;
	border-radius: 2px;
	resize: none;
}

fieldset {
	width: 100%;
	margin: 1em auto;
	padding: 1em;
	border: 2px solid #000000;
	background-color: #eeeeee;
}

fieldset label {
	position: relative;
}

label {
	font-size: 16px;
}

legend {
	width: 100%;
	padding: 0.5em;
	font-size: 20px;
	font-weight: bold;
	text-align: center;
	border: 2px solid #999999;
	background-color: #cccccc;
}

.tooltip {
	position: absolute;
	visibility: hidden;
	top: 3.45em;
	left: 0em;
	width: 18em;
	padding: 0.25em;
	color: #ffffff;
	border: solid 2px #000000;
	border-radius: 2px;
	background-color: #333333;
}

.boldtext {
	font-weight: bold;
}

/* -------------- Cart Page Properties -------------- */
table {
	width: 100%;
	margin: 1em auto;
	border: 1px solid black;
	border-collapse: collapse;
}

tr {
	font-size: 16px;
}

th {
	padding: 0.5em;
	border: 1px solid #000000;
	background-color: #999999;
}

td {
	padding: 0.5em;
	border: 1px solid #000000;
}

#optionscolumn {
	width: 171px;
}

.tcg {
	height: 180px;
}

#imagecolumn, #pricecolumn {
	width: 50px;
}

.product {
	height: 150px;
}

tfoot {
	background-color: #cccccc;
}

tfoot, .price {
	text-align: right;
}

/* ------------- Admin and Shop Buttons ------------- */
.centerbutton {
	text-align: center;
}

#login, #logout, .confirm, .delete, #submit, #reset, .buy, #empty {
	width: 75px;
	height: 25px;
	font-size: 16px;
	font-weight: bold;
	border: 1px solid #000000;
	cursor: pointer;
}

#login, .confirm, #submit, .buy {
	background-color: #cccccc;
}

#login:hover, .confirm:hover, #submit:hover, .buy:hover {
	color: #00ff00;
	background-color: #666666;
}

#logout, .delete, #reset, #empty {
	color: #ffffff;
	background-color: #222222;
}

#logout:hover, .delete:hover, #reset:hover, #empty:hover {
	color: #ff0000;
	background-color: #666666;
}

/* ---------- Responsiveness Media Queries ---------- */
@media only screen and (max-width: 1000px) {
	header img {
		width: 120px;
		height: 100px;
	}

	h1 {
		font-size: 32px;
	}

	h2, #navigation li, legend {
		font-size: 17px;
	}

	p, li, label, input[type=text], input[type=password], input[type=email], input[type=tel], input[type=url], input[type=file], input[type=number], select, textarea, tr {
		font-size: 14px;
	}

	#login, #logout, .confirm, .delete, #submit, #reset, .buy, #empty {
		width: 66px;
		height: 22px;
		font-size: 14px;
	}

	.tcg {
		height: 150px;
	}

	#optionscolumn {
		width: 151px;
	}

	.product {
		height: 120px;
	}

@media only screen and (max-width: 700px) {
	header img {
		width: 96px;
		height: 80px;
	}

	main {
		margin: 1em;
	}

	h1 {
		font-size: 24px;
	}

	h2, #navigation li, legend {
		font-size: 14px;
	}

	p, li, label, input[type=text], input[type=password], input[type=email], input[type=tel], input[type=url], input[type=file], input[type=number], select, textarea, tr {
		font-size: 12px;
	}

	#example img {
		width: 400px;
		height: 320px;
	}

	#login, #logout, .confirm, .delete, #submit, #reset, .buy, #empty {
		width: 60px;
		height: 20px;
		font-size: 12px;
	}

	.tcg {
		height: 120px;
	}

	#optionscolumn {
		width: 136px;
	}

	.product {
		height: 90px;
	}
}

@media only screen and (max-width: 500px) {
	#example img {
		width: 275px;
		height: 220px;
	}

	footer {
		grid-template-areas:
			"official"
			"sitemap";
		grid-template-rows: auto auto;
		grid-template-columns: auto;
		grid-gap: 0.5em;
		padding: 0.5em;
	}

	#imagecolumn, .centerimage {
		display: none;
	}
}